Environment Backup - Create Environment Backup
Creates a backup of the specified environment.
POST https://api.powerplatform.com/environmentmanagement/environments/{environmentId}/backups?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
environment
|
path | True |
string |
The ID of the environment. |
|
api-version
|
query | True |
string |
The API version. |
Request Body
Media Types: "application/json", "text/json", "application/*+json"
| Name | Required | Type | Description |
|---|---|---|---|
| label | True |
string |
The label for the manually created backup. |
Responses
| Name | Type | Description |
|---|---|---|
| 201 Created |
Created Media Types: "text/plain", "application/json", "text/json" |
|
| 400 Bad Request |
Bad Request Media Types: "text/plain", "application/json", "text/json" |
|
| 401 Unauthorized |
Unauthorized Media Types: "text/plain", "application/json", "text/json" |
|
| 403 Forbidden |
Forbidden Media Types: "text/plain", "application/json", "text/json" |
|
| 429 Too Many Requests |
Too Many Requests Media Types: "text/plain", "application/json", "text/json" |
|
| Other Status Codes |
Conflict Media Types: "text/plain", "application/json", "text/json" |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Create |
Request model for creating a backup. |
|
Environment |
Represents an environment backup. |
|
Field |
The error detail for a single field. |
|
Operation |
Structured error detail for a failed request. |
|
User |
Represents the identity of a user. |
|
Validation |
Represents the response for validation of an operation. |
CreateBackupRequest
Request model for creating a backup.
| Name | Type | Description |
|---|---|---|
| label |
string |
The label for the manually created backup. |
EnvironmentBackup
Represents an environment backup.
| Name | Type | Description |
|---|---|---|
| backupExpiryDateTime |
string (date-time) |
The backup expiry date time. |
| backupPointDateTime |
string (date-time) |
The backup point date time. |
| createdBy |
Represents the identity of a user. |
|
| id |
string |
The identifier of the environment backup. |
| label |
string |
The label for the manually created backup. |
FieldError
The error detail for a single field.
| Name | Type | Description |
|---|---|---|
| errorMessages |
string[] |
The error messages describing what is wrong with the field. |
| suggestedValue |
string |
A suggested or accepted value that would resolve the error. |
OperationErrorDetail
Structured error detail for a failed request.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| fieldErrors |
<string,
Field |
Per-field error detail, keyed by field name. |
UserIdentity
Represents the identity of a user.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The display name of the user. |
| tenantId |
string |
The tenant ID of the user. |
| type |
string |
The type of the user identity (for example, User). |
| userId |
string |
The ID of the user. |
ValidationResponse
Represents the response for validation of an operation.
| Name | Type | Description |
|---|---|---|
| errorDetail |
Structured error detail for a failed request. |